side by side install mode had disable back and install buttons

Bug #1240532 reported by Andy Whitcroft on 2013-10-16
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Critical
Dimitri John Ledkov
Precise
Low
Dimitri John Ledkov

Bug Description

[Test Case]
See Bug #947107

When installing over an existing install, selecting side-by-side mode, the side by side panel has disabled <back> and <install> buttons preventing install.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: ubiquity 2.15.25 [modified: lib/partman/automatically_partition/question]
ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
Uname: Linux 3.11.0-12-generic i686
ApportVersion: 2.12.5-0ubuntu2
Architecture: i386
CasperVersion: 1.336ubuntu1
Date: Wed Oct 16 13:59:16 2013
InstallCmdLine: file=/cdrom/preseed/ubuntu.seed boot=casper only-ubiquity initrd=/casper/initrd.lz quiet splash --
LiveMediaBuild: Ubuntu 13.10 "Saucy Salamander" - Release i386 (20131016)
MarkForUpload: True
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: ubiquity
UbiquityDebug:
 Ubiquity 2.15.25

 (ubiquity:2418): IBUS-WARNING **: The owner of /home/ubuntu/.config/ibus/bus is not root!
 update_release_notes_label()
 update_release_notes_label()
UpgradeStatus: No upgrade log present (probably fresh install)

Andy Whitcroft (apw) wrote :
Changed in ubiquity (Ubuntu):
status: New → Confirmed
importance: Undecided → Critical
milestone: none → ubuntu-13.10
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1240532

tags: added: iso-testing
Colin Watson (cjwatson) on 2013-10-16
Changed in ubiquity (Ubuntu):
status: Confirmed → Fix Committed
assignee: nobody → Dmitrijs Ledkovs (xnox)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.15.26

---------------
ubiquity (2.15.26) saucy; urgency=low

  [ Dmitrijs Ledkovs ]
  * Adding custom classes to EventBox somehow kills the install now
    button event. Instead use simple bg styling. (LP: #1240532)

  [ Colin Watson ]
  * Update translations from Launchpad.
 -- Dmitrijs Ledkovs <email address hidden> Wed, 16 Oct 2013 18:30:55 +0100

Changed in ubiquity (Ubuntu):
status: Fix Committed → Fix Released
description: updated
Changed in ubiquity (Ubuntu Precise):
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Dimitri John Ledkov (xnox)

Hello Andy, or anyone else affected,

Accepted ubiquity into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubiquity/2.10.29 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubiquity (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Dimitri John Ledkov (xnox) wrote :

Verified as working correctly.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.10.29

---------------
ubiquity (2.10.29) precise; urgency=low

  [ Dimitri John Ledkov ]
  * Show labels in automatic side-by-side installation. Fixed by removing
    all cairo styling from partition boxes in automatic partitioning,
    instead use simple bg styling. (LP: #947107, #1240532)
  * Automatic update of included source packages: grub-installer
    1.68ubuntu5.3.

  [ Brian Murray ]
  * Use the apt cache with with so that we close the cache when we are done
    with it. (LP: #1051935)

  [ Hao-Ran Liu (Joseph Liu) ]
  * src/wallpaper/wallpaper.c: Cropping wallpaper image instead of
    stretching it if image's aspect ratio doesn't match monitor's aspect
    ratio (LP: #1207249)

  [ Colin Watson ]
  * Update translations from Launchpad.
 -- Dimitri John Ledkov <email address hidden> Wed, 22 Jan 2014 14:35:56 +0000

Changed in ubiquity (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubiquity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

tags: removed: ubuntu
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers